
Redmine - Defect #5355

Error: NoMethodError (undefined method `revision' for nil:NilClass)

2010-04-20 05:49 - Sayan Malakshinov

Status: Closed Start date: 2010-04-20

Priority: High Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

After changing repostory from one to another in project settings and returning it back, was appear error:

NoMethodError (undefined method `revision' for nil:NilClass):

app/models/repository/subversion.rb:59:in `fetch_changesets'

app/models/repository/subversion.rb:58:in `fetch_changesets'

app/models/repository/subversion.rb:57:in `reverse_each'

app/models/repository/subversion.rb:57:in `fetch_changesets'

app/controllers/repositories_controller.rb:70:in `show'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/local/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2010-04-20 05:55 - Sayan Malakshinov

I have forgotten to tell that this error at first appeared at attempt to bring a new repository in the new project. And when i tried to correct a problem, i

have wrongly changed options of another old project.

#2 - 2010-04-20 06:18 - Sayan Malakshinov

And this error on fetching changsets from subversion by cron:

/usr/local/redmine/vendor/rails/railties/lib/commands/runner.rb:48: undefined method `revision' for nil:NilClass (NoMethodError)

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

from /usr/local/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:344:in `callback'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:267:in `create'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2874:in `create_or_update_without_callbacks'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:250:in `create_or_update'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2538:in `save_without_validation'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/validations.rb:1078:in `save_without_dirty'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/dirty.rb:79:in `save_without_transactions'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in `send'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in `with_transaction_returning_status'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in `transaction'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `transaction'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:228:in `with_transaction_returning_status'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in `rollback_active_record_state!'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/base.rb:723:in `create'
from /usr/local/redmine/app/models/repository/subversion.rb:59:in `fetch_changesets'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in `transaction'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `transaction'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:188:in `transaction'

from /usr/local/redmine/app/models/repository/subversion.rb:58:in `fetch_changesets'

from /usr/local/redmine/app/models/repository/subversion.rb:57:in `reverse_each'

from /usr/local/redmine/app/models/repository/subversion.rb:57:in `fetch_changesets'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in `send'

from /usr/local/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.rb:217:in `method_missing'

from /usr/local/redmine/app/models/repository.rb:175:in `fetch_changesets'

from /usr/local/redmine/app/models/repository.rb:173:in `each'

from /usr/local/redmine/app/models/repository.rb:173:in `fetch_changesets'

from (eval):1

from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `eval'

from /usr/local/redmine/vendor/rails/railties/lib/commands/runner.rb:48

from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

from /usr/local/redmine/script/runner:3

#3 - 2010-04-21 01:52 - Sayan Malakshinov

- Status changed from New to Resolved

- % Done changed from 0 to 100

Trouble was with plugin stefanoverna fork of "redmine diff email"

#4 - 2010-04-27 18:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
